/*
 * ICESOFT COMMERCIAL SOURCE CODE LICENSE V 1.1
 *
 * The contents of this file are subject to the ICEsoft Commercial Source
 * Code License Agreement V1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of the
 * License at
 * http://www.icesoft.com/license/commercial-source-v1.1.html
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under
 * the License.
 *
 * Copyright 2009-2015 ICEsoft Technologies Canada, Corp. All Rights Reserved.
 */
package com.icesoft.faces.facelets.example.progress;

import java.io.Serializable;
import java.util.logging.Logger;

import javax.annotation.PostConstruct;

import com.icesoft.faces.facelets.component.progress.ProgressAsyncBean;

public class ProgressAsyncExampleBean implements Serializable {

    private ProgressAsyncBean progressAsyncBean;
    private LongRunningProcess longRunningProcess = new LongRunningProcess();
    private static Logger LOG = Logger.getLogger(ProgressAsyncExampleBean.class.getName());
    
    public ProgressAsyncBean getProgressAsyncBean() {
        return progressAsyncBean;
    }
    
    public void setProgressAsyncBean(ProgressAsyncBean progressAsyncBean) {
        this.progressAsyncBean = progressAsyncBean;
        this.progressAsyncBean.setRunnable(longRunningProcess);
    }

    public class LongRunningProcess implements Runnable, Serializable {
    	public void run() {
        	LOG.fine("LongRunningProcess.run()");
            for (int i = 0; i < 4; i++) {
                try {
                    Thread.sleep(1000);  //sleep for 1 second
                } catch (Exception e) {
                }
            }
        }

    }
}
